diff --git a/spring-boot-project/spring-boot-actuator-autoconfigure/src/test/java/org/springframework/boot/actuate/autoconfigure/endpoint/web/documentation/MappingsEndpointServletDocumentationTests.java b/spring-boot-project/spring-boot-actuator-autoconfigure/src/test/java/org/springframework/boot/actuate/autoconfigure/endpoint/web/documentation/MappingsEndpointServletDocumentationTests.java
index 077e5d0f834..2be08981b74 100644
--- a/spring-boot-project/spring-boot-actuator-autoconfigure/src/test/java/org/springframework/boot/actuate/autoconfigure/endpoint/web/documentation/MappingsEndpointServletDocumentationTests.java
+++ b/spring-boot-project/spring-boot-actuator-autoconfigure/src/test/java/org/springframework/boot/actuate/autoconfigure/endpoint/web/documentation/MappingsEndpointServletDocumentationTests.java
@@ -149,12 +149,12 @@ public void mappings() throws Exception {
 						.type(JsonFieldType.OBJECT)
 						.description("Details of the method, if any, "
 								+ "that will handle requests to this mapping."),
-				fieldWithPath("*.[].details.handlerMethod.className")
+				fieldWithPath("*.[].details.handlerMethod.className").optional()
 						.type(JsonFieldType.STRING)
 						.description("Fully qualified name of the class of the method."),
-				fieldWithPath("*.[].details.handlerMethod.name")
+				fieldWithPath("*.[].details.handlerMethod.name").optional()
 						.type(JsonFieldType.STRING).description("Name of the method."),
-				fieldWithPath("*.[].details.handlerMethod.descriptor")
+				fieldWithPath("*.[].details.handlerMethod.descriptor").optional()
 						.type(JsonFieldType.STRING)
 						.description("Descriptor of the method as specified in the Java "
 								+ "Language Specification."));
